export const ColorLegend = ({
  colorScale,
  tickSpacing = 20,
  tickSize = 10,
  tickTextOffset = 20,
  onHover,
  hoveredValue,
}) =>
  colorScale.domain().map((domainValue, i) => (
    <g
      opacity={
        !hoveredValue ||
        hoveredValue === domainValue
          ? 1
          : 0.2
      }
      onMouseEnter={() => {
        onHover(domainValue);
      }}
      onMouseOut={() => {
        onHover(null);
      }}
      className="tick"
      transform={`translate(0,${
        i * tickSpacing
      })`}
    >
      <circle
        fill={colorScale(domainValue)}
        r={tickSize}
      />
      <text x={tickTextOffset} dy=".32em">
        {domainValue}
      </text>
    </g>
  ));
